EDIT - bug #7969

Default Feature Tree created on serverside contains only one featureNode but this is used in a loop
Status: New Start date:
Assignee: Katja Luther % Done: 0%
Target version: Reviewed Next Major Release

Severity: normal Found in Version:

Description

When the taxeditor loads the default feature tree with an uuid but the table is empty or the uuid is the uuid of the defaultFeatureTree
the tree is created on the fly.This works correctly and a feature tree with all terms of type "feature” is created. But the feature tree
used in the editor contains only one FeatureNode, but every Node contains itself as child. And the rootNode contains this node as

many times as the original feature tree contained features.

When going through the tree results in an endless loop.

When the default feature tree is created on taxeditor side, it works correctly.

Related issues:

Related to EDIT - feature request #8432: Improve "default" feature tree handling In Progress

Related to EDIT - feature request #7970: Default Feature Tree Preference

New

History

#1 - 02/06/2019 09:24 AM - Katja Luther

- Target version changed from Release 5.5 to Release 5.6

#2 - 02/19/2019 03:13 PM - Andreas Miuller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#4 - 07/02/2021 09:50 PM - Andreas Miuller

- Related to feature request #8432: Improve "default" feature tree handling added

#5 - 07/02/2021 09:52 PM - Andreas Miuller

- Related to feature request #7970: Default Feature Tree Preference added
